#
# spec file for package ghc-sbp
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name sbp
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        2.3.16
Release:        1.3
Summary:        SwiftNav's SBP Library
License:        LGPL-3.0-or-later
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-basic-prelude-devel
BuildRequires:  ghc-binary-conduit-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-data-binary-ieee754-devel
BuildRequires:  ghc-lens-aeson-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-monad-loops-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-yaml-devel
%if %{with tests}
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
%endif

%description
Haskell bindings for Swift Navigation Binary Protocol (SBP), a fast, simple,
and minimal binary protocol for communicating with Swift devices. It is the
native binary protocol used by the Piksi GPS receiver to transmit solutions,
observations, status and debugging messages, as well as receive messages from
the host operating system, such as differential corrections and the almanac.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%{_bindir}/json2json
%{_bindir}/json2sbp
%{_bindir}/sbp2json
%{_bindir}/sbp2yaml

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Mon Apr 23 2018 psimons@suse.com
- Update sbp to version 2.3.16.
  A more detailed change log is not available.
* Mon Mar 26 2018 psimons@suse.com
- Update sbp to version 2.3.13.
  A more detailed change log is not available.
* Wed Mar 14 2018 psimons@suse.com
- Update sbp to version 2.3.9.
  A more detailed change log is not available.
